import { RoomPackageCodeEnum } from "@/types/components/hotelReservation/selectRate/roomFilter"
import type { PackageEnum } from "@/types/requests/packages"

export function includesAllergyRoom(codes: PackageEnum[]) {
  return codes.includes(RoomPackageCodeEnum.ALLERGY_ROOM)
}

export function includesPetRoom(codes: PackageEnum[]) {
  return codes.includes(RoomPackageCodeEnum.PET_ROOM)
}

export function checkIsAllergyRoom(code: PackageEnum) {
  return code === RoomPackageCodeEnum.ALLERGY_ROOM
}

export function checkIsPetRoom(code: PackageEnum) {
  return code === RoomPackageCodeEnum.PET_ROOM
}
